ArcCenterPoint

Returns the center point of an arc curve object.

Syntax

Rhino.ArcCenterPoint (strObject [, intIndex [, dblTolerance]])

Parameters

strObject

Required.  String.  The object's identifier.

intIndex

Optional. Number. If strObject identifies a polycurve object, then intIndex identifies the curve segment of the polycurve to query.

dblTolerance

Optional.  Number.  If the curve is not an arc curve object, then the tolerance used to determine whether or not the NURBS form of the curve has the properties of an arc. If omitted, Rhino's internal zero tolerance is used.

Returns

Array.

The 3-D center point of the arc if successful.

Null

If not successful, or on error.

Example

Dim strObject, arrPoint

strObject = Rhino.GetObject("Select arc")

If Rhino.IsArc(strObject) Then

arrPoint = Rhino.ArcCenterPoint(strObject)

Rhino.AddPoint arrPoint

End If

Also See

AddArc3Pt

ArcAngle

ArcMidPoint

ArcRadius

IsArc